Bug 5266 - Remove unneeded modest_osso_load_state () calls
: Remove unneeded modest_osso_load_state () calls
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: All Linux
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
: patch
:
:
  Show dependency tree
 
Reported: 2009-10-01 20:49 UTC by Javier Jardón
Modified: 2010-03-15 20:55 UTC (History)
4 users (show)

See Also:


Attachments
Remove unneeded modest_osso_load_state () calls (5.00 KB, patch)
2009-10-01 20:51 UTC, Javier Jardón
Details
Remove unneeded modest_osso_load_state () calls.v2 (15.41 KB, patch)
2009-10-02 14:36 UTC, Javier Jardón
Details
Remove unneeded modest_osso_load_state () calls.v3 (17.59 KB, patch)
2009-10-02 14:47 UTC, Javier Jardón
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Javier Jardón (reporter) 2009-10-01 20:49:32 UTC
modest_osso_load_state () is an empty function

Patch following
Comment 1 Javier Jardón (reporter) 2009-10-01 20:51:05 UTC
Created an attachment (id=1393) [details]
Remove unneeded modest_osso_load_state () calls
Comment 2 Lucas Maneos 2009-10-02 02:08:50 UTC
As long as you're cleaning this up, maybe also get rid of the
modest_osso_save_state() calls and remove modest-osso-state-saving.{c,h}?
Comment 3 Javier Jardón (reporter) 2009-10-02 14:36:04 UTC
Created an attachment (id=1394) [details]
Remove unneeded modest_osso_load_state () calls.v2

I've removed modest_osso_save_state too because we can call
modest_window_mgr_save_state_for_all_windows() directly
Comment 4 Javier Jardón (reporter) 2009-10-02 14:47:40 UTC
Created an attachment (id=1395) [details]
Remove unneeded modest_osso_load_state () calls.v3

Also, removed references from Makefile.am files
Comment 5 Sergio Villar Senin 2009-10-27 17:37:34 UTC
Reviewing the patch
Comment 6 Sergio Villar Senin 2009-10-27 19:14:31 UTC
Committed in Modest master a3c0bc9841bbe205ebf7a0a65e70603a0281b0c5

Note that I removed the osso-autosave callbacks as they were not used in
hildon2 as well.
Comment 7 Andre Klapper maemo.org 2010-01-14 13:46:07 UTC
I must admit that I don't know if the fix is already included in today's
2.2009.51-1 update release or not. Checking and reporting back is welcome!
Comment 8 Javier Jardón (reporter) 2010-01-14 14:57:02 UTC
(In reply to comment #7)
> I must admit that I don't know if the fix is already included in today's
> 2.2009.51-1 update release or not. Checking and reporting back is welcome!

Andre, I verified that modest_osso_load_state() function is still present in
3.0, 3.1 and 3.2 branches, but it's removed from master branch

Don't know what is the version used in actual maemo platform
Comment 9 Andre Klapper maemo.org 2010-01-18 20:18:17 UTC
Okay, so this is PR1.2 stuff. Thanks for checking.
Comment 10 Andre Klapper maemo.org 2010-03-15 20:55:57 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).